.intro {
    display: grid;
    grid-row-gap: rem(10);
    grid-column-gap: rem(10);
    grid-template-columns: 1fr 1fr;

    @include media-breakpoint-up(lg) {
        grid-template-columns: 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {
        grid-template-rows: 1fr 1fr 1fr;
        grid-template-columns: 1fr 1fr 1fr 1fr;
    }

    @include media-breakpoint-up(xxl) {

    }
}

.intro-primary {
    grid-column: span 2;
    overflow: hidden;
    background: $white;
    border-radius: 10px;
    box-shadow: 0px 5px 30px rgba(0, 0, 0, 0.07);

    &__image {
        display: block;
        position: relative;
    }

    &__content {
        padding: rem(25);
    }

    &__title {
        color: $black;
        font-weight: 600;
        font-size: rem(20);
        line-height: rem(24);
        margin-bottom: rem(10);

        a {
            color: $black;
            text-decoration: none;

            &:hover {
                color: $violet;
                text-decoration: none;
                margin-bottom: rem(10);
            }
        }
    }

    @include media-breakpoint-up(md) {

        &__content {
            padding: rem(40);
        }

        &__title {
            font-size: rem(25);
            line-height: rem(30);
            margin-bottom: rem(15);
        }
    }

    @include media-breakpoint-up(lg) {
        grid-column: span 3;
    }

    @include media-breakpoint-up(xl) {
        grid-column: span 3;
        grid-row: span 3;

        &__image {

            &:after {
                top: 0;
                left: 0;
                right: 0;
                bottom: 0;
                z-index: 10;
                content: '';
                position: absolute;
                background: linear-gradient(277.75deg, rgba(49, 39, 130, 0.8) 6.54%, rgba(58, 37, 130, 0.8) 10.04%, rgba(149, 17, 128, 0.8) 51.17%, rgba(207, 5, 126, 0.8) 80.04%, rgba(229, 0, 126, 0.8) 94.04%);
                opacity: 0;
                visibility: hidden;
            }
        }

        &:hover {

            .intro-primary {

                &__image {

                    &:after {
                        opacity: 1;
                        visibility: visible;
                    }
                }
            }
        }
    }

    @include media-breakpoint-up(xxl) {

        &__image {
            height: rem(490);
        }
    }
}

.intro-item {
    color: $black;
    display: block;
    overflow: hidden;
    padding: rem(10);
    font-weight: 600;
    font-size: rem(15);
    line-height: rem(18);
    background: $white;
    border-radius: 10px;
    text-decoration: none;
    position: relative;
    box-shadow: 0px 5px 30px rgba(0, 0, 0, 0.07);
    min-height: rem(160);

    &:before {
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 5;
        content: '';
        height: rem(110);
        position: absolute;
        background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, #FFFFFF 42.19%);
    }

    &:hover {
        color: $black;
        text-decoration: none;
    }

    &__image {
        z-index: 1;
        display: block;
        width: rem(90);
        position: relative;
    }

    &__title {
        z-index: 20;
        left: rem(15);
        bottom: rem(15);
        max-width: rem(160);
        width: calc(100% - 20px);
        position: absolute;
        word-wrap: break-word;
    }

    &--07 {
        height: rem(100);
        min-height: inherit;
        display: flex;
        align-items: center;
        justify-content: center;
        grid-column: span 2;

        &:before {
            height: rem(36);
        }

        .intro-item {

            &__title {
                left: auto;
                bottom: auto;
                margin-left: rem(20);
                position: relative;
                max-width: rem(130);
            }
        }
    }

    @include media-breakpoint-up(md) {
        font-size: rem(17);
        line-height: rem(21);
        padding: rem(15);
        min-height: rem(200);

        &__image {
            width: 170px;
        }

        &__title {
            left: rem(25);
            bottom: rem(25);
            max-width: rem(220);
        }

        &--07 {
            height: rem(160);

            &:before {
                height: rem(56);
            }

            .intro-item {

                &__title {
                    margin-left: rem(35);
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &--07 {
            grid-column: span 3;
        }
    }

    @include media-breakpoint-up(xl) {

        &:after {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 10;
            content: '';
            position: absolute;
            background: linear-gradient(277.75deg, rgba(49, 39, 130, 0.8) 6.54%, rgba(58, 37, 130, 0.8) 10.04%, rgba(149, 17, 128, 0.8) 51.17%, rgba(207, 5, 126, 0.8) 80.04%, rgba(229, 0, 126, 0.8) 94.04%);
            opacity: 0;
            visibility: hidden;
        }

        &__title {
            max-width: rem(180);
        }

        &:hover {
            color: $white;

            &:after {
                opacity: 1;
                visibility: visible;
            }
        }

        &--04,
        &--05,
        &--06,
        &--07 {
            display: none;
        }

        &--071 {
            display: block;
            grid-column: span 1;
            height: auto;

            &:before {
                height: rem(110);
            }

            .intro-item {

                &__title {
                    left: rem(25);
                    bottom: rem(25);
                    margin-left: 0;
                    position: absolute;
                }
            }
        }
    }
}

.intro-slider {
    display: none;
    position: relative;
    margin-top: rem(10);

    &__nav {
        right: -25px;
        z-index: 50;
        top: calc(50% - 25px);
        position: absolute;
    }

    @include media-breakpoint-up(xl) {
        display: block;
    }
}
